package cz.moneta.test.dsl.mwf;

import cz.moneta.test.harness.support.mwf.Parameter;
import cz.moneta.test.harness.support.mwf.MwfRequest;

public interface MWFF11 extends MwfRequest<MWFF11, MWFF11Response> {

    @Parameter(name = "CHECK_IN")
    MWFF11 checkIn(String checkIn);
    @Parameter(name = "CHECK_OUT")
    MWFF11 checkOut(String checkOut);
    @Parameter(name = "CM_ID")
    MWFF11 cmId(String cmId);
    @Parameter(name = "FOLDER_ID")
    MWFF11 folderId(String folderId);
    @Parameter(name = "NEW_VERSION")
    MWFF11 newVersion(String newVersion);
}
